require "active_redis_orm"
class ActiveRedisFinderObject < ActiveRedis::Base
  field :foo
  field :bar, finder_field: true
end

describe "Finding Active Redis objects" do
  before do
    ActiveRedis.redis.flushdb
  end

  it "returns nil if not found by finder field" do
    ActiveRedisFinderObject.find_by_bar("bat").should be_nil
  end

  it "returns nil if not found by id" do
    ActiveRedisFinderObject.find("bullshit_id").should be_nil
  end

  it "returns the object if found" do
    object = ActiveRedisFinderObject.create(foo: "cow", bar: "baz")
    ActiveRedisFinderObject.find(object.id).should == object
    ActiveRedisFinderObject.find_by_bar("baz").should == object
  end
end