require "active_redis_orm"

describe ActiveRedis do
  class AttributesObject < ActiveRedis::Base
    attr_accessible :foo, :bar, :list, :string
    field :foo, default: lambda{|item| item.id}
    field :bar, default: "barbar"
    field :string
    field :list, type: :list
  end

  it "deals with attributes in string or symbol implementation" do
    AttributesObject.should be_attr_accessible("bar")
    AttributesObject.should be_attr_accessible(:bar)
  end

  it "sets the defaults" do
    item = AttributesObject.create(string: "123")
    item.foo.should == item.id
    item.bar.should == "barbar"
  end

  context "lists" do
    it "is dirty only when dirty" do
      instance = AttributesObject.new
      instance.string = "abc"
      instance.save

      instance.list << "a"
      instance.save
      instance.list.should_not be_dirty
      instance.should_not be_dirty
      instance.reload!.list.should == ["a"]
    end
  end
end